## screenlets 0.0.10

=== Makefile ===
#-------------------------------------------------------------------------------
#  Screenlets - (c) 2007 by RYX (aka Rico Pfaus) <ryx@ryxperience.com>
#-------------------------------------------------------------------------------
#
# only a simple makefile to allow installing screenlets (and performing some
# other actions like creating a source-package or the documentation)
#

all:
	@echo "Makefile: Available actions: install, clean, docs, source_package"

# install the Screenlets
install:
	python setup.py install
	cp desktop-menu/screenlets.svg /usr/share/icons
	cp desktop-menu/screenlets-manager.desktop /usr/share/applications
	cp desktop-menu/screenlets-daemon.desktop $(HOME)/.config/autostart

# uninstall the Screenlets (NOT FINISHED)
uninstall:
	rm -r /usr/local/share/screenlets
	rm /usr/local/bin/screenletsd
	rm /usr/share/icons/screenlets.svg
	@echo "Makefile: Uninstall of python-libs not supported yet ..."
	@echo "          To uninstall, run 'rm -rf /usr/lib/python2.x/site-packages/screenlets*'"
	@echo "          Replace '2.x' with your installed python version (e.g. '2.5')"

# remove all files created by install
clean:
	python setup.py clean
	rm -r dist
	rm -r build
	rm MANIFEST
	@echo "Makefile: Temporary files have been removed ..."

# create API-documentation (using doxgen)
doxydoc:
	doxygen doxygen.conf

# create API-documentation (using pydoc)
pydoc:
	make -C docs

# create API-documentation (using epydoc)
epydoc:
	epydoc --html --output=docs/epydoc --name="Screenlets 0.0.9" screenlets screenlets.backend screenlets.options screenlets.utils screenlets.session screenlets.services screenlets.sensors

# create API-documentation
menu:
	make -C desktop-menu
	
# build a source-release
source_package:
	python setup.py sdist --formats=bztar
	@echo "Makefile: Source-package is ready and waiting in ./dist ..."

## screenlets 0.0.12

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,13 @@
 
 # uninstall the Screenlets (NOT FINISHED)
 uninstall:
-	rm -r /usr/local/share/screenlets
-	rm /usr/local/bin/screenletsd
+	rm -rf /usr/local/share/screenlets*
+	rm -rf /usr/local/bin/screenlets*
+	rm -rf /usr/lib/python2.4/site-packages/screenlets*
+	rm -rf /usr/lib/python2.5/site-packages/screenlets*
+	rm -r /usr/share/screenlets
+	rm -r /usr/share/screenlets-manager
+	rm /usr/bin/screenlets*
 	rm /usr/share/icons/screenlets.svg
 	@echo "Makefile: Uninstall of python-libs not supported yet ..."
 	@echo "          To uninstall, run 'rm -rf /usr/lib/python2.x/site-packages/screenlets*'"
@@ -43,7 +48,7 @@
 
 # create API-documentation (using epydoc)
 epydoc:
-	epydoc --html --output=docs/epydoc --name="Screenlets 0.0.9" screenlets screenlets.backend screenlets.options screenlets.utils screenlets.session screenlets.services screenlets.sensors
+	epydoc --html --output=docs/epydoc --name="Screenlets 0.0.12" screenlets screenlets.backend screenlets.options screenlets.utils screenlets.session screenlets.services screenlets.sensors
 
 # create API-documentation
 menu:

=== docs/Makefile ===
# create API-documentation
all:
	pydoc -w screenlets
	pydoc -w screenlets.backend
	pydoc -w screenlets.session
	pydoc -w screenlets.services
	pydoc -w screenlets.sensors
	pydoc -w screenlets.utils
	pydoc -w screenlets.options
	pydoc -w screenlets.XmlMenu
	@echo "Makefile: API-documentation is ready and waiting in ./docs/html ..."

## screenlets 0.1.2

=== Makefile ===
#------------------------------------------------------------------------------------------------------------
#  Screenlets - (c) 2008 by Whise (Helder Fraga) <helder.fraga@hotmail.com>
#  Original author RYX (aka Rico Pfaus) <ryx@ryxperience.com> 
#------------------------------------------------------------------------------------------------------------
#
# A simple makefile to allow installing/uninstalling screenlets and performing
# other actions like creating a source-package or documentation.
#

PREFIX = /usr
INSTALL_LOG = install.log

.PHONY : docs
.PHONY : uninstall

all:
	@echo "Makefile: Available actions: install, uninstall, clean, docs, source_package"

# install
install:
	-mkdir /etc/screenlets
	@echo $(PREFIX) > /etc/screenlets/prefix
	python setup.py install --record=$(INSTALL_LOG) --prefix=$(PREFIX)
	cp desktop-menu/screenlets-daemon.desktop $(HOME)/.config/autostart

# uninstall
uninstall:
	rm -rf $(shell cat $(INSTALL_LOG))
	rm -rf /etc/screenlets
	rm -f $(INSTALL_LOG)
	rm -f $(HOME)/.config/autostart/screenlets-daemon.desktop
	@echo "Makefile: Screenlets removed."

# remove temporary files created by install
# note: this does not remove the install log
clean:
	python setup.py clean
	rm -rf dist
	rm -rf build
	@echo "Makefile: Temporary files have been removed."

# echo documentation options
docs:
	@echo "Available documentation: doxydoc, pydoc, and epydoc."
	@echo "To generate doxydoc documentation (recommended) please run:"
	@echo "	make doxydoc"

# create API-documentation (using doxgen)
doxydoc:
	doxygen doxygen.conf

# create API-documentation (using pydoc)
pydoc:
	make -C docs

# create API-documentation (using epydoc)
epydoc:
	epydoc --html --output=docs/epydoc --name="Screenlets 0.1.2" screenlets screenlets.backend screenlets.drawing screenlets.install screenlets.menu screenlets.options screenlets.Plugins screenlets.session screenlets.services screenlets.sensors screenlets.utils screenlets.plugins.Amarok screenlets.plugins.AmazonCoverArtSearch screenlets.plugins.Banshee screenlets.plugins.CoverSearch screenlets.plugins.Exaile screenlets.plugins.GenericPlayer screenlets.plugins.iCal screenlets.plugins.keyring screenlets.plugins.Listen screenlets.plugins.Loader screenlets.plugins.Mail screenlets.plugins.Mplayer screenlets.plugins.Proxy screenlets.plugins.Quodlibet screenlets.plugins.Rhythmbox screenlets.plugins.Sonata screenlets.plugins.Songbird

# create API-documentation
menu:
	make -C desktop-menu
	
# build a source-release
source_package:
	python setup.py sdist --formats=bztar
	@echo "Makefile: Source-package is ready and waiting in ./dist ..."

=== desktop-menu/Makefile ===
# This makefile installs all .desktop-files and the menu/directory-files
# required for adding the screenlets to the main menu. I am unsure how or if
# this works on KDE-systems, so I named this folder "gnome" for now.

# TODO: check if XDG is available
XDG_DATA_DIRS=/usr/share

# install menu and desktop files
install:
	cp $(HOME)/.config/menus/applications.menu $(HOME)/.config/menus/applications.menu.bak
	@echo "Makefile: Backed up old applications.menu in $(HOME)/.config/menus/"
	cp applications.menu $(HOME)/.config/menus
	cp applications/* $(XDG_DATA_DIRS)/applications
	cp desktop-directories/* $(XDG_DATA_DIRS)/desktop-directories
	@echo "Makefile: The Screenlets should now have their own submenu in your Applications-menu ..."

=== debian/changelog ===
screenlets (0.1.2-8.2~mx17+2) mx; urgency=medium

  * Disable D on python-gtkmozembed | python-gnome2-extras (<< 2.19).

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Jun 2018 13:22:23 -0700

screenlets (0.1.2-8.2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Bump to debhelper 9 compat.
  * Switch to 3.0 (quilt) source format.
  * Make most recommended packages hard Depends.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 May 2018 17:33:38 -0700

screenlets (0.1.2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS.  Closes: #802139
  * Build using dh-python instead of python-support.  Closes: #786009

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 Dec 2015 00:17:44 +0000

screenlets (0.1.2-8) unstable; urgency=low

  * Team Upload
  * Update debian/copyright to reflect upstream relicensing of included image
    files under a Free license (Closes: #618876)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 Jul 2012 18:14:02 -0400

screenlets (0.1.2-7) unstable; urgency=medium

  * Urgency to medium to fix RC bug.
  * debian/rules: Really apply patches to fix the segfaults again. 
    (Closes: #536392)

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 07 Aug 2009 23:53:44 +0200

screenlets (0.1.2-6) unstable; urgency=low

  [ Julien Lavergne ]
  * debian/rules: Replace simple-patchsys by quilt.
  * debian/control: 
   - Build-depends on quilt.
   - Remove X{B,S}-Python-Version.
   - Bump Standards-Version to 3.8.2 (no change needed).
  * debian/pyversions : Add compatible versions.
  * debian/patches: 
   - 13-opacity-option.patch: Disable the opacity option if the screen 
     is not composited (Closes: #518179). 
   - 14-configuration-save.patch: From Ubuntu, save and restore the 
     configuration file in some cases. (LP: #345359)
   - 15-nowplaying-mpd-try.patch: Try to connect to mpd instead of forcing 
     the connection. (LP: #269256)
   - 16-clearweather-catch-connection-error.patch: From Ubuntu, catch 
     connection error on update (thanks Kjell Braden for the patch). 
     (LP: #264809)
   - 17-nowplaying-disable-amarok.patch: Disable Amarok 1.X support.
   - 18-nowplaying-rb-playing.patch: Avoid Dbus exception when checking 
     if the player is playing.
   - 19-remove-autostart-output.patch: Remove output when screenlets are
     autostarted. (LP: #318248)
   - Update patches to apply with quilt.
  * debian/README.source: Replace by the quilt one. 

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/screenlets.install:
   - Install the available translations (usr/share/locale) (LP: #386878).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 20 Jun 2009 16:33:51 +0200

screenlets (0.1.2-5) unstable; urgency=medium

  * Urgency to medium to fix RC bug.
  * debian/patches: Update description for all patches. 
  * debian/patches/12-new-class-creation.patch:
   - Use new-style class creation. This should avoid some segfaults 
   (Closes: #519664).
  * debian/control:
   - Remove python-dcop from suggests.
   - Bump the need of a compositor to recommends, because it's needed to deal 
     with transparency.
   - Following python-gnome2-desktop split.
    + Remove depends on python-gnome2-desktop
    + Add python-rsvg as depends.
    + Add python-wnck as depends, needed by screenlets-manager.
    + Add python-evolution as recommends, only needed by the 
      EvolutionContacts Screenlets.
    + Add python-gnomekeyring as recommends, as it's an optional feature.
   - Bump Standards-Version to 3.8.1 (no change needed). 

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 13 Apr 2009 21:48:26 +0200

screenlets (0.1.2-4) unstable; urgency=low

  [ Julien Lavergne ]
  * debian/10-ImageMenuItem-update.patch
   - Replace get_children() by get_child() and get_image() following pygtk 
     modifications.
  * debian/11-xfce-wallpaper-setting.patch
   - Add a xfconf-query call to update desktop wallpaper (Closes: #497222).
  * debian/control
   - Suggest xfconf for WallpaperClock under XFCE, require for 
     11-xfce-wallpaper-setting.patch.
   - Switch from python-central to python-support.
   - Set XS-Python-Version to >= 2.4 
   - Remove duplicated section in binary.
  * debian/copyright
   - Replace (C) by ©.
  * debian/pycompat: Remove.
  * debian/rules: Switch from pycentral to pysupport.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Julien Lavergne <julien.lavergne@gmail.com>  Thu, 12 Mar 2009 00:24:34 +0100

screenlets (0.1.2-3) unstable; urgency=low

  * debian/patches
   - 04-install-wallclock-in-home.patch : install WallpaperClock in
     ~/.screenlets instead of /usr/share (Closes: #497127).
   - 05-places-no-bookmark.patch : don't crash Places Screenlets if there is
     no bookmark.
   - 06-main-menu-no-bookmark.patch : don't crash Main Menu Screenlets if
     there is no bookmark.
  * debian/rules
   - Remove feedparser.py in FeedReader Screenlet, already in
     python-feedparser.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 28 Sep 2008 01:29:35 +0200

screenlets (0.1.2-2) unstable; urgency=low

  * debian/install
   - Install prefix in /etc/screenlets/ (Closes: #488953)
  * debian/patches/01-scripts-cleanup.patch
   - Use "\n" to print correctly script output (Closes: #488952)
  * debian/rules
   - Only use uscan in get-orig-source.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Thu, 03 Jul 2008 23:21:09 +0200

screenlets (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   - Add python-imaging as Recommends for WallpaperClockScreenlet Screenlets.
   - Bump Standards-Version to 3.8.0 (no change needed).
   - Replace python-gnome2-extras with python-gtkmozembed, screenlets only use
     this module. (Closes: #485296)
  * debian/patches
   - 01-scripts-cleanup.patch: Update.
   - 02-fix-acpi-crash.patch: Add exception in ACPI Screenlets when there is 
     no battery.
   - 03-fix-wallpaperclock-location.patch: Test WallpaperClock location before 


=== debian/control ===
Source: screenlets
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: 	debhelper (>= 9), 
		cdbs,
		quilt,
		python-dev (>= 2.3.5-11)
Build-Depends-Indep:	dh-python,
			doc-base
Standards-Version: 3.8.2
Homepage: http://screenlets.org
Vcs-Svn: svn://svn.debian.org/python-apps/packages/screenlets/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/screenlets/trunk/

Package: screenlets
Architecture: all
Depends: 	${misc:Depends}, 
		${python:Depends},
		python-gtk2,
		python-gnome2,
 		python-dbus, 
		python-xdg,
		python-rsvg,
		python-wnck,
        gnome-keyring,
		python-feedparser,
		python-gmenu,
#		python-gtkmozembed | python-gnome2-extras (<< 2.19),
		python-imaging,
#		python-evolution | python-gnome2-desktop,
		python-gnomekeyring | python-gnome2-desktop
Recommends: iceweasel | firefox,
		metacity (>= 2.21.4) | xcompmgr | compiz | xfwm4 (>= 4.2)
Suggests: 	evolution,
		tomboy,
		gnome-orca,
		xfconf (>= 4.5.93)
Description: Widget-like mini-applications for GNOME
 Screenlets are small owner-drawn applications (written in Python) that can be
 described as "the virtual representation of things lying/standing around on
 your desk". Sticky notes, clocks, rulers, ... the possibilities are endless.
 .
 The goal of the Screenlets base-classes is to simplify the creation of fully
 themable mini-apps that each solve basic desktop-work-related needs and
 generally improve the usability and eye-candy of the modern composited
 Linux-desktop. 
 .
 Features:
  * Real applications, no HTML-"widgets"
  * Easy to use, easy to develop
  * Full compositing support
  * Works with any composited X desktop (compiz, xfce4, ...)
  * Works also on non-composited desktop
  * Included ability to apply themes (SVG, PNG or mixed)
  * Fully scalable when using SVGs
  * Embedded drag&drop-support
  * Automated storing of options (using ini or GConf)
  * Controllable through customizable D-Bus service
  * Can be used together with compiz' widget-plugin to create a 
    Dashboard-like feature as seen on OS X
  * Uses Cairo and GTK2 for drawing and windowing

Package: screenlets-doc
Section: doc
Architecture: all
Depends: 	screenlets,
		${misc:Depends}
Description: Widget-like mini-applications for GNOME - Documentation package
 Screenlets are small owner-drawn applications (written in Python) that can be
 described as "the virtual representation of things lying/standing around on
 your desk". Sticky notes, clocks, rulers, ... the possibilities are endless.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_PYTHON2_MODULE_PACKAGES := screenlets

include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/quilt/quilt.make

DEB_PYTHON_MODULE_PACKAGE := screenlets
DEB_PYTHON_PRIVATE_MODULES_DIRS := debian/tmp/usr/share/screenlets
DEB_PYTHON_SETUP_CMD := setup.py

DEB_INSTALL_MANPAGES_screenlets := debian/screenlets-manager.1 debian/screenlets-packager.1 debian/screenletsd.1 debian/screenlets.1 debian/screenlets-daemon.1
DEB_INSTALL_CHANGELOGS_ALL := CHANGELOG

build/screenlets:: $(QUILT_STAMPFN)

#Build docs in docs/html
#build/screenlets::
#	PYTHONPATH=build/lib/ epydoc --html --output=docs/html --name="Screenlets 0.0.14" screenlets screenlets.backend screenlets.options screenlets.utils screenlets.session screenlets.services screenlets.sensors

install/screenlets::
	rm debian/tmp/usr/share/screenlets/ClearRss/feedparser.py
	rm debian/tmp/usr/share/screenlets/FeedReader/feedparser.py
	rmdir debian/tmp/usr/share/screenlets/WallpaperClock/wallpapers

binary-predeb/screenlets::
	find debian/screenlets/usr/share/screenlets-manager/ -name "*.png" -perm 755 | xargs --no-run-if-empty chmod 644

clean:: unpatch
#	rm -fR docs/html
	rm -fR build/locale

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack

## screenlets 0.1.2+bzr616

=== debian/changelog ===
screenlets (0.1.2+bzr616-0ubuntu1) natty; urgency=low

  * New upstream snapshot.
   - Move individual screenlets into another source package.
   - Many bug fixes since 0.1.2.
  * Convert to source format 3.0 (quilt).
  * debian/patches
   - Removed all patches, merged upstream.
  * debian/rules:
   - Convert to dh7.
   - Don't remove copies of feedparser, not in this package.
   - Don't remove empty directory for the individual screenlets.
  * debian/screenlets.install:
   - Update installed files.
  * debian/compat
   - Bump to level 7.
  * debian/control:
   - Rewrite Depends and build-depends.
  * README.Debian :
   - Mention mutter as a composite manager.
  * debian/README.source:
   - Remove the README.source.
  * debian/screenlets.manpages:
   - Add the manpages.
  * debian/copyright:
   - Rewrite with dep5 style.

 -- Julien Lavergne <gilir@ubuntu.com>  Thu, 24 Feb 2011 00:51:35 +0100

screenlets (0.1.2-7ubuntu2) maverick; urgency=low

  * debian/patches/21-return-ip-address.patch:
   - Fix screenlets.sensors.net_get_ip() to get the IP address. Thanks
     Michel Leunen for the patch. (LP: #618868)

 -- Julien Lavergne <gilir@ubuntu.com>  Sat, 21 Aug 2010 18:01:52 +0200

screenlets (0.1.2-7ubuntu1) lucid; urgency=low

  * Updated tomboy notes folder path. (LP: #477017)

 -- Frank Cheung <fcuk112@gmail.com>  Sun, 08 Nov 2009 13:18:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: screenlets
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: 	debhelper (>= 9), 
-		cdbs,
-		quilt,
-		python-dev (>= 2.3.5-11)
-Build-Depends-Indep:	dh-python,
-			doc-base
+Build-Depends: 	debhelper (>= 7.0.50~),
+                python-all (>= 2.3.5-11)
+Build-Depends-Indep: python-support (>= 0.6.0),
+                     doc-base
 Standards-Version: 3.8.2
 Homepage: http://screenlets.org
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/screenlets/trunk
@@ -17,27 +15,21 @@
 
 Package: screenlets
 Architecture: all
-Depends: 	${misc:Depends}, 
-		${python:Depends},
-		python-gtk2,
-		python-gnome2,
- 		python-dbus, 
-		python-xdg,
-		python-rsvg,
-		python-wnck,
-        gnome-keyring,
-		python-feedparser,
-		python-gmenu,
-#		python-gtkmozembed | python-gnome2-extras (<< 2.19),
-		python-imaging,
-#		python-evolution | python-gnome2-desktop,
-		python-gnomekeyring | python-gnome2-desktop
-Recommends: iceweasel | firefox,
-		metacity (>= 2.21.4) | xcompmgr | compiz | xfwm4 (>= 4.2)
-Suggests: 	evolution,
-		tomboy,
-		gnome-orca,
-		xfconf (>= 4.5.93)
+Depends: ${misc:Depends},
+         ${python:Depends},
+         python-gobject,
+         python-gtk2,
+         python-gnome2,
+         python-dbus,
+         python-cairo,
+         python-wnck | python-gnome2-desktop,
+         python-gst0.10,
+         python-xdg,
+         python-gconf
+Recommends: python-gtkmozembed | python-gnome2-extras (<< 2.19),
+            python-evolution | python-gnome2-desktop,
+            python-rsvg | python-gnome2-desktop,
+            metacity (>= 2.21.4) | xcompmgr | compiz | xfwm4 (>= 4.2) | mutter
 Description: Widget-like mini-applications for GNOME
  Screenlets are small owner-drawn applications (written in Python) that can be
  described as "the virtual representation of things lying/standing around on

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils
	find debian/tmp/usr/share/screenlets-manager/ -name "*.png" -perm 755 | xargs chmod 644

override_dh_clean:
	rm -fR build/locale
	dh_clean

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack

## screenlets 0.1.3

=== debian/changelog ===
screenlets (0.1.3-0ubuntu4) oneiric; urgency=low

  * Import webkit in a try/except block, as was done previously with
    gtkmozembed
    - update debian/patches/91_use_webkit.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 08 Jun 2011 21:30:12 +0100

screenlets (0.1.3-0ubuntu3) oneiric; urgency=low

  * Port from python-gtkmozembed to python-webkit. GtkMozEmbed has been
    abandoned upstream, and we are planning to drop xulrunner from the archive
    (see https://blueprints.launchpad.net/ubuntu/+spec/
           desktop-o-mozilla-rapid-release-maintenance)
    - add debian/patches/91_use_webkit.patch
    - update debian/patches/series
    - change python-gtkmozembed dependency to python-webkit

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 08 Jun 2011 00:34:07 +0100

screenlets (0.1.3-0ubuntu2) natty; urgency=low

  * debian/patches/90-disable-resize-grip.patch:
   - From upstream (rev 646), disable resize grip (LP: #717989)

 -- Julien Lavergne <gilir@ubuntu.com>  Sat, 23 Apr 2011 19:40:12 +0200

screenlets (0.1.3-0ubuntu1) natty; urgency=low

  * New upstream release, including only fixes and translations updates since
    last upload.
  * debian/watch:
   - Update to watch for all types of archives.
  * debian/control:
   - Add Recommends on screenlets-pack-basic.
   - Add Suggests on screenlets-pack-all.

 -- Julien Lavergne <gilir@ubuntu.com>  Fri, 25 Mar 2011 22:02:52 +0100

=== debian/control ===
--- 
+++ 
@@ -26,10 +26,12 @@
          python-gst0.10,
          python-xdg,
          python-gconf
-Recommends: python-gtkmozembed | python-gnome2-extras (<< 2.19),
+Recommends: python-webkit,
             python-evolution | python-gnome2-desktop,
             python-rsvg | python-gnome2-desktop,
-            metacity (>= 2.21.4) | xcompmgr | compiz | xfwm4 (>= 4.2) | mutter
+            metacity (>= 2.21.4) | xcompmgr | compiz | xfwm4 (>= 4.2) | mutter,
+            screenlets-pack-basic
+Suggests: screenlets-pack-all
 Description: Widget-like mini-applications for GNOME
  Screenlets are small owner-drawn applications (written in Python) that can be
  described as "the virtual representation of things lying/standing around on

## screenlets 0.1.4

=== debian/changelog ===
screenlets (0.1.4-0ubuntu2) oneiric; urgency=low

  * Add missing dependency on python-beautifulsoup (LP: #805198)

 -- Stefano Rivera <stefanor@ubuntu.com>  Mon, 04 Jul 2011 20:12:34 +0200

screenlets (0.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches:
   - 90-disable-resize-grip.patch : Drop, merged upstream.
   - 91_use_webkit.patch: Drop, merged upstream.
  * debian/rules:
   - Only fix the permission on 1 file.
  * debian/copyright:
   - Update copyright holders.

 -- Julien Lavergne <gilir@ubuntu.com>  Sat, 02 Jul 2011 11:06:42 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
          python-wnck | python-gnome2-desktop,
          python-gst0.10,
          python-xdg,
-         python-gconf
+         python-gconf,
+         python-beautifulsoup
 Recommends: python-webkit,
             python-evolution | python-gnome2-desktop,
             python-rsvg | python-gnome2-desktop,

## screenlets 0.1.6

=== Makefile ===
#-------------------------------------------------------------------------------
# Screenlets (c) RYX (aka Rico Pfaus) 2007-2009 <ryx@ryxperience.com>
# 
# [for full list of authors see file AUTHORS]
#-------------------------------------------------------------------------------
#
# A simple makefile to allow installing/uninstalling screenlets and performing
# other actions like creating a source-package or documentation.
#

VERSION		= `cat VERSION`
PREFIX		= /usr
INSTALL_LOG	= install.log

.PHONY : docs
.PHONY : uninstall

all:
	@echo "Makefile: Available actions: install, uninstall, clean, docs, source_package"

# install
install:
	-mkdir /etc/screenlets
	@echo $(PREFIX) > /etc/screenlets/prefix
	@echo $(VERSION) > /etc/screenlets/version
	python setup.py install --record=$(INSTALL_LOG) --prefix=$(PREFIX)
	cp desktop-menu/screenlets-daemon.desktop $(HOME)/.config/autostart

# uninstall
uninstall:
	rm -rf $(shell cat $(INSTALL_LOG))
	rm -rf /etc/screenlets
	rm -f $(INSTALL_LOG)
	rm -f $(HOME)/.config/autostart/screenlets-daemon.desktop
	@echo "Makefile: Screenlets removed."

# remove temporary files created by install
# note: this does not remove the install log
clean:
	python setup.py clean
	rm -rf dist
	rm -rf build
	@echo "Makefile: Temporary files have been removed."

# echo documentation options
docs:
	@echo "Available documentation: doxydoc, pydoc, and epydoc."
	@echo "To generate doxydoc documentation (recommended) please run:"
	@echo "	make doxydoc"

# create API-documentation (using doxgen)
doxydoc:
	doxygen doxygen.conf

# create API-documentation (using pydoc)
pydoc:
	make -C docs

# create API-documentation (using epydoc)
epydoc:
	epydoc --html --output=docs/epydoc --name="Screenlets $(VERSION)" screenlets screenlets.backend screenlets.drawing screenlets.install screenlets.menu screenlets.options screenlets.Plugins screenlets.session screenlets.services screenlets.sensors screenlets.utils screenlets.plugins.Amarok screenlets.plugins.AmazonCoverArtSearch screenlets.plugins.Banshee screenlets.plugins.CoverSearch screenlets.plugins.Exaile screenlets.plugins.GenericPlayer screenlets.plugins.iCal screenlets.plugins.keyring screenlets.plugins.Listen screenlets.plugins.Loader screenlets.plugins.Mail screenlets.plugins.Mplayer screenlets.plugins.Proxy screenlets.plugins.Quodlibet screenlets.plugins.Rhythmbox screenlets.plugins.Sonata screenlets.plugins.Songbird

# create API-documentation
menu:
	make -C desktop-menu
	
# build a source-release
source_package:
	python setup.py sdist --formats=bztar
	@echo "Makefile: Source-package is ready and waiting in ./dist ..."

=== debian/changelog ===
screenlets (0.1.6-0ubuntu2) quantal; urgency=low

  * Drop python-evolution recommends. The latter will be removed as being
    deprecated.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 17 Sep 2012 09:52:43 +0200

screenlets (0.1.6-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules:
   - Remove permission fix, the file is not shipped anymore.
  * debian/copyright:
   - Fix formating.

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 12 Feb 2012 22:47:27 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
          python-gconf,
          python-beautifulsoup
 Recommends: python-webkit,
-            python-evolution | python-gnome2-desktop,
             python-rsvg | python-gnome2-desktop,
             metacity (>= 2.21.4) | xcompmgr | compiz | xfwm4 (>= 4.2) | mutter,
             screenlets-pack-basic

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=python_distutils
-	find debian/tmp/usr/share/screenlets-manager/ -name "*.png" -perm 755 | xargs chmod 644
 
 override_dh_clean:
 	rm -fR build/locale

=== debian/watch ===
version=3
https://launchpad.net/screenlets/+download http://launchpad.net/screenlets/.*/screenlets-(.+).tar.*
